cutlass::FragmentLoad< IteratorFragment::kWmmaMatrix, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride > Struct Template Reference

`#include <fragment_load_store.h>`

## Public Types

typedef FragmentElement_ | AccessType
| The output type. More...

## Static Public Member Functions

static CUTLASS_DEVICE void | load (AccessType &value, Scalar_ const *pointer, int offset)
| The load function. More...

## Member Typedef Documentation

## AccessType

template<int kAccessSize, typename Scalar_ , MemorySpace::Kind Memory_, typename FragmentElement_ , int kStride>

typedef FragmentElement_ cutlass::FragmentLoad< IteratorFragment::kWmmaMatrix, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride >::AccessType

## Member Function Documentation

## load()

template<int kAccessSize, typename Scalar_ , MemorySpace::Kind Memory_, typename FragmentElement_ , int kStride>

static CUTLASS_DEVICE void cutlass::FragmentLoad< IteratorFragment::kWmmaMatrix, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride >::load | ( | AccessType & | value,
|  | Scalar_ const * | pointer,
|  | int | offset
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- fragment_load_store.h